/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TransportadoraDAO;
import com.rjconsultores.ventaboletos.entidad.Transportadora;
import com.rjconsultores.ventaboletos.service.TransportadoraService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("transportadoraService")
public class TransportadoraServiceImpl implements TransportadoraService {

    @Autowired
    private TransportadoraDAO transportadoraDAO;

    public List<Transportadora> obtenerTodos() {
        return transportadoraDAO.obtenerTodos();
    }

    public Transportadora obtenerID(Long id) {
        return transportadoraDAO.obtenerID(id);
    }

    @Transactional
    public Transportadora suscribir(Transportadora entidad) {
    	entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecModif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);
    	
        return transportadoraDAO.suscribir(entidad);
    }

    @Transactional
    public Transportadora actualizacion(Transportadora entidad) {
    	entidad.setFecModif(Calendar.getInstance().getTime());
        return transportadoraDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(Transportadora entidad) {
    	entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecModif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);
        
        transportadoraDAO.actualizacion(entidad);
    }

	@Override
	public boolean existe(String nit) {
		return transportadoraDAO.existe(nit);
	}
	
	@Override
	public Transportadora buscarPorNit(String nit) {
		return transportadoraDAO.buscarPorNit(nit);
	}
}
